## janitor 0.1~git20220702

=== Makefile ===
export PYTHONPATH=$(shell pwd)/ognibuild:$(shell pwd)/buildlog-consultant:$(shell pwd):$(shell pwd)/breezy:$(shell pwd)/silver-platter:$(shell pwd)/lintian-brush:$(shell pwd)/python-debian/lib:$(shell pwd)/debmutate:$(shell pwd)/dulwich

PB2_PY_OUTPUT = janitor/policy_pb2.py janitor/config_pb2.py janitor/package_overrides_pb2.py janitor/candidates_pb2.py janitor/package_metadata_pb2.py

core: janitor/site/_static/pygments.css $(PB2_PY_OUTPUT)

all: core
	$(MAKE) -C breezy
	$(MAKE) -C dulwich

.PHONY: all check

PROTOC_ARGS = --python_out=.

ifneq ($(MYPY_PROTO),0)
PROTOC_ARGS += --mypy_out=.
endif

janitor/%_pb2.py: janitor/%.proto
	protoc $(PROTOC_ARGS) $<

check:: typing

check:: test

check:: style

check-it-all:: test-it-all

test-it-all::
	$(MAKE) -C dulwich check
	$(MAKE) -C breezy check PYTHONPATH=$(PYTHONPATH)
	$(MAKE) -C lintian-brush check
	PYTHONPATH=$(PYTHONPATH) python3 -m unittest silver_platter.tests.test_suite
	PYTHONPATH=$(PYTHONPATH) python3 -m unittest ognibuild.tests.test_suite
	PYTHONPATH=$(PYTHONPATH) python3 -m unittest buildlog_consultant.tests.test_suite
	PYTHONPATH=$(PYTHONPATH) python3 -m unittest debmutate.tests.test_suite
	PYTHONPATH=$(PYTHONPATH) python3 -m unittest janitor.tests.test_suite

suite-references:
	git grep "\\(lintian-brush\|lintian-fixes\|debianize\|fresh-releases\|fresh-snapshots\\)" | grep -v .example

test:
	PYTHONPATH=$(PYTHONPATH) python3 setup.py test

style:
	flake8

typing:
	PYTHONPATH=.:silver-platter:lintian-brush:breezy mypy janitor

janitor/site/_static/pygments.css:
	pygmentize -S default -f html > $@

clean:
	rm -f $(PB2_PY_OUTPUT)

=== debian/changelog ===
janitor (0.1~git20220702-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Jul 2022 23:24:37 +0100

janitor (0.1~git20220525+ds1-1) experimental; urgency=medium

  * Initial release. (Closes: #1006804)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 12 May 2022 16:48:07 +0100

=== debian/control ===
Source: janitor
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://github.com/jelmer/janitor
Build-Depends: python3-all, python3-setuptools, debhelper-compat (= 13), python3-pygments, dh-python, mypy-protobuf, protobuf-compiler, python3-aiohttp, python3-aiohttp-openmetrics, silver-platter, python3-buildlog-consultant, ognibuild, lintian-brush, loggerhead, python3-klaus, python3-asyncpg, python3-aiozipkin, python3-breezy.tests
Vcs-Git: https://salsa.debian.org/jelmer/janitor.git -b debian/main
Vcs-Browser: https://salsa.debian.org/jelmer/janitor/tree/debian/main
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: devel
Priority: optional

Package: python3-janitor
Section: python
Architecture: all
Depends: python3-aiohttp, python3-aiohttp-apispec, python3-asyncpg, python3-breezy, ${misc:Depends}, ${python3:Depends}, python3-debian, python3-apt, python3-iso8601, python3-yaml, python3-protobuf
Description: management platform for large-scale automated code improvements - core
 The Janitor is a platform for running code improvement tools on a large number
 of repositories.
 .
 It takes a collection of VCS repositories and will regularly try to run a set
 of specified code improvement tools on those repositories. Scheduling takes
 into account tool-specific hints, past success and chances of success.
 .
 The web UI allows review and analysis of changes made.
 .
 Depending on policy set, changes are either pushed directly back to the
 repository or included in a pull request (that is kept up to date).
 .
 This package containers the core Python libraries.

Package: janitor-worker
Architecture: all
Depends: python3-janitor, ${misc:Depends}, ${python3:Depends}, python3-jinja2, python3-aiohttp-openmetrics, python3-aiozipkin
Description: management platform for large-scale automated code improvements - worker
 The Janitor is a platform for running code improvement tools on a large number
 of repositories.
 .
 It takes a collection of VCS repositories and will regularly try to run a set
 of specified code improvement tools on those repositories. Scheduling takes
 into account tool-specific hints, past success and chances of success.
 .
 The web UI allows review and analysis of changes made.
 .
 Depending on policy set, changes are either pushed directly back to the
 repository or included in a pull request (that is kept up to date).
 .
 This package contains the worker service.

Package: janitor-runner
Architecture: all
Depends: python3-janitor, ${misc:Depends}, ${python3:Depends}, python3-aiohttp-openmetrics, python3-aiozipkin
Description: management platform for large-scale automated code improvements - runner
 The Janitor is a platform for running code improvement tools on a large number
 of repositories.
 .
 It takes a collection of VCS repositories and will regularly try to run a set
 of specified code improvement tools on those repositories. Scheduling takes
 into account tool-specific hints, past success and chances of success.
 .
 The web UI allows review and analysis of changes made.
 .
 Depending on policy set, changes are either pushed directly back to the
 repository or included in a pull request (that is kept up to date).
 .
 This package contains the coordinator service.

Package: janitor-publisher
Architecture: all
Depends: python3-janitor, ${misc:Depends}, ${python3:Depends}, python3-jinja2, python3-aiohttp-openmetrics, python3-aiozipkin, python3-gpg
Description: management platform for large-scale automated code improvements - publisher
 The Janitor is a platform for running code improvement tools on a large number
 of repositories.
 .
 It takes a collection of VCS repositories and will regularly try to run a set
 of specified code improvement tools on those repositories. Scheduling takes
 into account tool-specific hints, past success and chances of success.
 .
 The web UI allows review and analysis of changes made.
 .
 Depending on policy set, changes are either pushed directly back to the
 repository or included in a pull request (that is kept up to date).
 .
 This package contains the publisher.

Package: janitor-apt
Architecture: all
Depends: python3-janitor, ${misc:Depends}, ${python3:Depends}, python3-aiohttp-openmetrics, python3-aiozipkin
Description: management platform for large-scale automated code improvements - apt repo generator
 The Janitor is a platform for running code improvement tools on a large number
 of repositories.
 .
 It takes a collection of VCS repositories and will regularly try to run a set
 of specified code improvement tools on those repositories. Scheduling takes
 into account tool-specific hints, past success and chances of success.
 .
 The web UI allows review and analysis of changes made.
 .
 Depending on policy set, changes are either pushed directly back to the
 repository or included in a pull request (that is kept up to date).
 .
 This package contains the APT repository generator.

Package: janitor-differ
Architecture: all
Depends: python3-janitor, ${misc:Depends}, ${python3:Depends}, python3-aiohttp-openmetrics, python3-aiozipkin
Description: management platform for large-scale automated code improvements - differ
 The Janitor is a platform for running code improvement tools on a large number
 of repositories.
 .
 It takes a collection of VCS repositories and will regularly try to run a set
 of specified code improvement tools on those repositories. Scheduling takes
 into account tool-specific hints, past success and chances of success.
 .
 The web UI allows review and analysis of changes made.
 .
 Depending on policy set, changes are either pushed directly back to the
 repository or included in a pull request (that is kept up to date).
 .
 This package contains the result differ.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $* --buildsystem=pybuild --with python3

override_dh_auto_build:
	$(MAKE) core

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @, python3-setuptools, python3-breezy.tests
Restrictions: allow-stderr

## janitor 0.2.0

=== DESCRIPTION ===
Package: janitor
Title: Simple Tools for Examining and Cleaning Dirty Data
Version: 0.2.0
Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
    person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"))
Description: The main janitor functions can: perfectly format data.frame column
    names; isolate duplicate records; and provide quick one- and two-variable
    tabulations (i.e., frequency tables and crosstabs). Other janitor functions
    nicely format the results of these tabulations. These tabulate-and-report
    functions approximate popular features of SPSS and Microsoft Excel. This package
    follows the principles of the "tidyverse" and works well with the pipe
    function %>%. janitor was built with beginning-to-intermediate R users in mind
    and is optimized for user-friendliness. Advanced R users can already do
    everything covered here, but with janitor they can do it faster and save their
    thinking for the fun stuff.
URL: https://github.com/sfirke/janitor
BugReports: https://github.com/sfirke/janitor/issues
Depends: R (>= 3.1.2)
Imports: dplyr, tidyr, magrittr
License: MIT + file LICENSE
LazyData: true
RoxygenNote: 5.0.1
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2016-10-02 19:13:25 UTC; SFirke
Author: Sam Firke [aut, cre],
  Chris Haid [ctb]
Maintainer: Sam Firke <samuel.firke@gmail.com>
Repository: CRAN
Date/Publication: 2016-10-03 08:17:44

## janitor 0.2.1

=== DESCRIPTION ===
Package: janitor
Title: Simple Tools for Examining and Cleaning Dirty Data
Version: 0.2.1
Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
    person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"))
Description: The main janitor functions can: perfectly format data.frame column
    names; isolate duplicate records; and provide quick one- and two-variable
    tabulations (i.e., frequency tables and crosstabs). Other janitor functions
    nicely format the results of these tabulations. These tabulate-and-report
    functions approximate popular features of SPSS and Microsoft Excel. This package
    follows the principles of the "tidyverse" and works well with the pipe function
    %>%. janitor was built with beginning-to-intermediate R users in mind and is
    optimized for user-friendliness. Advanced R users can already do everything
    covered here, but with janitor they can do it faster and save their thinking for
    the fun stuff.
URL: https://github.com/sfirke/janitor
BugReports: https://github.com/sfirke/janitor/issues
Depends: R (>= 3.1.2)
Imports: dplyr (>= 0.5.0), tidyr
License: MIT + file LICENSE
LazyData: true
RoxygenNote: 5.0.1
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2016-10-31 00:59:27 UTC; SFirke
Author: Sam Firke [aut, cre],
  Chris Haid [ctb]
Maintainer: Sam Firke <samuel.firke@gmail.com>
Repository: CRAN
Date/Publication: 2016-10-31 07:57:06

## janitor 0.3.0

=== DESCRIPTION ===
Package: janitor
Title: Simple Tools for Examining and Cleaning Dirty Data
Version: 0.3.0
Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
    person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
    person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"))
Description: The main janitor functions can: perfectly format data.frame column
    names; provide quick one- and two-variable tabulations (i.e., frequency
    tables and crosstabs); and isolate duplicate records. Other janitor functions
    nicely format the tabulation results. These tabulate-and-report functions
    approximate popular features of SPSS and Microsoft Excel. This package
    follows the principles of the "tidyverse" and works well with the pipe function
    %>%. janitor was built with beginning-to-intermediate R users in mind and is
    optimized for user-friendliness. Advanced R users can already do everything
    covered here, but with janitor they can do it faster and save their thinking for
    the fun stuff.
URL: https://github.com/sfirke/janitor
BugReports: https://github.com/sfirke/janitor/issues
Depends: R (>= 3.1.2)
Imports: dplyr (>= 0.5.0), tidyr, magrittr
License: MIT + file LICENSE
LazyData: true
RoxygenNote: 6.0.1
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-05-06 06:41:07 UTC; SFirke
Author: Sam Firke [aut, cre],
  Chris Haid [ctb],
  Ryan Knight [ctb]
Maintainer: Sam Firke <samuel.firke@gmail.com>
Repository: CRAN
Date/Publication: 2017-05-06 09:07:14 UTC

## janitor 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 0.3.0
+Version: 0.3.1
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
     person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"))
@@ -24,10 +24,10 @@
 Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-05-06 06:41:07 UTC; SFirke
+Packaged: 2018-01-04 21:23:20 UTC; SFirke
 Author: Sam Firke [aut, cre],
   Chris Haid [ctb],
   Ryan Knight [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-05-06 09:07:14 UTC
+Date/Publication: 2018-01-04 21:49:02 UTC

## janitor 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 0.3.1
+Version: 1.0.0
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
     person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"))
 Description: The main janitor functions can: perfectly format data.frame column
-    names; provide quick one- and two-variable tabulations (i.e., frequency
+    names; provide quick counts of variable combinations (i.e., frequency
     tables and crosstabs); and isolate duplicate records. Other janitor functions
     nicely format the tabulation results. These tabulate-and-report functions
     approximate popular features of SPSS and Microsoft Excel. This package
@@ -17,17 +17,18 @@
 URL: https://github.com/sfirke/janitor
 BugReports: https://github.com/sfirke/janitor/issues
 Depends: R (>= 3.1.2)
-Imports: dplyr (>= 0.5.0), tidyr, magrittr
+Imports: dplyr (>= 0.7.0), tidyr (>= 0.7.0), snakecase (>= 0.9.0),
+        magrittr, purrr, rlang
 License: MIT + file LICENSE
 LazyData: true
 RoxygenNote: 6.0.1
 Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-01-04 21:23:20 UTC; SFirke
+Packaged: 2018-03-22 12:55:11 UTC; SFirke
 Author: Sam Firke [aut, cre],
   Chris Haid [ctb],
   Ryan Knight [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-01-04 21:49:02 UTC
+Date/Publication: 2018-03-22 20:59:45 UTC

## janitor 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 1.0.0
+Version: 1.1.0
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
-    person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"))
+    person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"),
+    person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"))
 Description: The main janitor functions can: perfectly format data.frame column
     names; provide quick counts of variable combinations (i.e., frequency
     tables and crosstabs); and isolate duplicate records. Other janitor functions
@@ -21,14 +22,15 @@
         magrittr, purrr, rlang
 License: MIT + file LICENSE
 LazyData: true
-RoxygenNote: 6.0.1
+RoxygenNote: 6.0.1.9000
 Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-03-22 12:55:11 UTC; SFirke
+Packaged: 2018-07-18 02:49:55 UTC; sam
 Author: Sam Firke [aut, cre],
   Chris Haid [ctb],
-  Ryan Knight [ctb]
+  Ryan Knight [ctb],
+  Bill Denney [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-03-22 20:59:45 UTC
+Date/Publication: 2018-07-18 08:00:08 UTC

## janitor 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
     person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"),
@@ -26,11 +26,11 @@
 Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-07-18 02:49:55 UTC; sam
+Packaged: 2018-07-31 02:36:55 UTC; sam
 Author: Sam Firke [aut, cre],
   Chris Haid [ctb],
   Ryan Knight [ctb],
   Bill Denney [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-07-18 08:00:08 UTC
+Date/Publication: 2018-07-31 04:30:02 UTC

## janitor 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 1.1.1
+Version: 1.2.0
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
+    person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
     person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"),
-    person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"))
+    person("Malte", "Grosser", email = "malte.grosser@gmail.com", role = "ctb"))
 Description: The main janitor functions can: perfectly format data.frame column
     names; provide quick counts of variable combinations (i.e., frequency
     tables and crosstabs); and isolate duplicate records. Other janitor functions
@@ -18,19 +19,21 @@
 URL: https://github.com/sfirke/janitor
 BugReports: https://github.com/sfirke/janitor/issues
 Depends: R (>= 3.1.2)
-Imports: dplyr (>= 0.7.0), tidyr (>= 0.7.0), snakecase (>= 0.9.0),
+Imports: dplyr (>= 0.7.0), tidyr (>= 0.7.0), snakecase (>= 0.9.2),
         magrittr, purrr, rlang
 License: MIT + file LICENSE
 LazyData: true
-RoxygenNote: 6.0.1.9000
-Suggests: testthat, knitr, rmarkdown
+RoxygenNote: 6.1.1
+Suggests: testthat, knitr, rmarkdown, sf, tibble
 VignetteBuilder: knitr
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-07-31 02:36:55 UTC; sam
+Packaged: 2019-04-21 03:59:05 UTC; sam
 Author: Sam Firke [aut, cre],
+  Bill Denney [ctb],
   Chris Haid [ctb],
   Ryan Knight [ctb],
-  Bill Denney [ctb]
+  Malte Grosser [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-07-31 04:30:02 UTC
+Date/Publication: 2019-04-21 04:20:13 UTC

## janitor 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
@@ -23,12 +23,12 @@
         magrittr, purrr, rlang
 License: MIT + file LICENSE
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 Suggests: testthat, knitr, rmarkdown, sf, tibble
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-04-21 03:59:05 UTC; sam
+Packaged: 2020-01-22 18:35:47 UTC; sam.firke
 Author: Sam Firke [aut, cre],
   Bill Denney [ctb],
   Chris Haid [ctb],
@@ -36,4 +36,4 @@
   Malte Grosser [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-04-21 04:20:13 UTC
+Date/Publication: 2020-01-22 19:20:02 UTC

## janitor 2.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 1.2.1
+Version: 2.0.0
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
     person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"),
-    person("Malte", "Grosser", email = "malte.grosser@gmail.com", role = "ctb"))
+    person("Malte", "Grosser", email = "malte.grosser@gmail.com", role = "ctb"),
+    person("Jonathan", "Zadra", email = "jonathan.zadra@sorensonimpact.com", role = "ctb"))
 Description: The main janitor functions can: perfectly format data.frame column
     names; provide quick counts of variable combinations (i.e., frequency
     tables and crosstabs); and isolate duplicate records. Other janitor functions
@@ -19,21 +20,23 @@
 URL: https://github.com/sfirke/janitor
 BugReports: https://github.com/sfirke/janitor/issues
 Depends: R (>= 3.1.2)
-Imports: dplyr (>= 0.7.0), tidyr (>= 0.7.0), snakecase (>= 0.9.2),
-        magrittr, purrr, rlang
+Imports: dplyr (>= 0.7.0), lifecycle, lubridate, magrittr, purrr,
+        rlang, stringi, stringr, snakecase (>= 0.9.2), tidyselect (>=
+        1.0.0), tidyr (>= 0.7.0)
 License: MIT + file LICENSE
 LazyData: true
-RoxygenNote: 7.0.2
-Suggests: testthat, knitr, rmarkdown, sf, tibble
+RoxygenNote: 7.1.0
+Suggests: knitr, rmarkdown, sf, testthat, tibble, tidygraph
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-01-22 18:35:47 UTC; sam.firke
+Packaged: 2020-04-08 18:44:04 UTC; sam
 Author: Sam Firke [aut, cre],
   Bill Denney [ctb],
   Chris Haid [ctb],
   Ryan Knight [ctb],
-  Malte Grosser [ctb]
+  Malte Grosser [ctb],
+  Jonathan Zadra [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-01-22 19:20:02 UTC
+Date/Publication: 2020-04-08 19:10:02 UTC

## janitor 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 2.0.0
+Version: 2.0.1
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
@@ -30,7 +30,7 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-04-08 18:44:04 UTC; sam
+Packaged: 2020-04-11 21:26:03 UTC; samfi
 Author: Sam Firke [aut, cre],
   Bill Denney [ctb],
   Chris Haid [ctb],
@@ -39,4 +39,4 @@
   Jonathan Zadra [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-04-08 19:10:02 UTC
+Date/Publication: 2020-04-12 05:40:02 UTC

## janitor 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 2.0.1
+Version: 2.1.0
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
@@ -20,17 +20,17 @@
 URL: https://github.com/sfirke/janitor
 BugReports: https://github.com/sfirke/janitor/issues
 Depends: R (>= 3.1.2)
-Imports: dplyr (>= 0.7.0), lifecycle, lubridate, magrittr, purrr,
+Imports: dplyr (>= 1.0.0), lifecycle, lubridate, magrittr, purrr,
         rlang, stringi, stringr, snakecase (>= 0.9.2), tidyselect (>=
         1.0.0), tidyr (>= 0.7.0)
 License: MIT + file LICENSE
 LazyData: true
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Suggests: knitr, rmarkdown, sf, testthat, tibble, tidygraph
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-04-11 21:26:03 UTC; samfi
+Packaged: 2021-01-04 12:16:42 UTC; samfi
 Author: Sam Firke [aut, cre],
   Bill Denney [ctb],
   Chris Haid [ctb],
@@ -39,4 +39,4 @@
   Jonathan Zadra [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-04-12 05:40:02 UTC
+Date/Publication: 2021-01-05 01:10:04 UTC

## janitor 2.2.0

=== DESCRIPTION ===
Package: janitor
Title: Simple Tools for Examining and Cleaning Dirty Data
Version: 2.2.0
Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
    person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"),
    person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
    person("Ryan", "Knight", email = "ryangknight@gmail.com", role = "ctb"),
    person("Malte", "Grosser", email = "malte.grosser@gmail.com", role = "ctb"),
    person("Jonathan", "Zadra", email = "jonathan.zadra@sorensonimpact.com", role = "ctb"))
Description: The main janitor functions can: perfectly format data.frame column
    names; provide quick counts of variable combinations (i.e., frequency
    tables and crosstabs); and explore duplicate records. Other janitor functions
    nicely format the tabulation results. These tabulate-and-report functions
    approximate popular features of SPSS and Microsoft Excel. This package
    follows the principles of the "tidyverse" and works well with the pipe function
    %>%. janitor was built with beginning-to-intermediate R users in mind and is
    optimized for user-friendliness.
URL: https://github.com/sfirke/janitor,
        https://sfirke.github.io/janitor/
BugReports: https://github.com/sfirke/janitor/issues
Depends: R (>= 3.1.2)
Imports: dplyr (>= 1.0.0), hms, lifecycle, lubridate, magrittr, purrr,
        rlang, stringi, stringr, snakecase (>= 0.9.2), tidyselect (>=
        1.0.0), tidyr (>= 0.7.0)
License: MIT + file LICENSE
RoxygenNote: 7.2.3
Suggests: dbplyr, knitr, rmarkdown, RSQLite, sf, testthat (>= 3.0.0),
        tibble, tidygraph
VignetteBuilder: knitr
Encoding: UTF-8
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2023-02-02 16:00:15 UTC; samfi
Author: Sam Firke [aut, cre],
  Bill Denney [ctb],
  Chris Haid [ctb],
  Ryan Knight [ctb],
  Malte Grosser [ctb],
  Jonathan Zadra [ctb]
Maintainer: Sam Firke <samuel.firke@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-02 16:50:06 UTC

## janitor 2.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: janitor
 Title: Simple Tools for Examining and Cleaning Dirty Data
-Version: 2.2.0
+Version: 2.2.1
 Authors@R: c(person("Sam", "Firke", email = "samuel.firke@gmail.com", role = c("aut", "cre")),
     person("Bill", "Denney", email = "wdenney@humanpredictions.com", role = "ctb"),
     person("Chris", "Haid", email = "chrishaid@gmail.com", role = "ctb"),
@@ -30,7 +30,7 @@
 Encoding: UTF-8
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2023-02-02 16:00:15 UTC; samfi
+Packaged: 2024-12-22 15:53:13 UTC; sam
 Author: Sam Firke [aut, cre],
   Bill Denney [ctb],
   Chris Haid [ctb],
@@ -39,4 +39,4 @@
   Jonathan Zadra [ctb]
 Maintainer: Sam Firke <samuel.firke@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-02-02 16:50:06 UTC
+Date/Publication: 2024-12-22 16:30:01 UTC
